Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IMultiObjectiveOptimizationSupport.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IMultiObjectiveOptimizationSupport.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IMultiObjectiveOptimizationSupport.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("26ccd02e-5678-4d1d-949a-cfb11f99b158")]
   public interface IMultiObjectiveOptimizationSupport {
     void Analyze(Individual[] individuals, double[][] qualities, ResultCollection results, IRandom random);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/ISingleObjectiveOptimizationSupport.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/ISingleObjectiveOptimizationSupport.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/ISingleObjectiveOptimizationSupport.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("57607cbe-c456-43bb-b9c9-a1ae1e4f8cb1")]
   public interface ISingleObjectiveOptimizationSupport {
     void Analyze(Individual[] individuals, double[] qualities, ResultCollection results, IRandom random);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Interpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Interpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Interpreter.cs	(revision 14929)
@@ -24,7 +24,9 @@
 using System.Linq;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.LawnMower {
   public static class Interpreter {
+    [StorableType("40bffe1c-3629-42b9-9840-ed713ff5e95a")]
     private enum Heading {
       South,
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 14929)
@@ -26,4 +26,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution.Mappers {
@@ -31,4 +32,5 @@
   /// IGenotypeToPhenotypeMapper
   /// </summary>
+  [StorableType("1154f431-b172-476a-8935-c21fe1b404ad")]
   public interface IGenotypeToPhenotypeMapper : IIntegerVectorOperator {
     ISymbolicExpressionTree Map(IRandom random, IntMatrix bounds, int length,
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisEvaluator.cs	(revision 14929)
@@ -31,7 +31,9 @@
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Problems.GrammaticalEvolution.Mappers;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
 
+  [StorableType("60d237f2-e283-43ba-9906-0a7832b93628")]
   public interface IGESymbolicDataAnalysisEvaluator<T> : IEvaluator
     where T : class, IDataAnalysisProblemData {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisProblem.cs	(revision 14929)
@@ -28,6 +28,8 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("ec39245d-648f-448f-b68d-104fa6e8d04f")]
   public interface IGESymbolicDataAnalysisProblem : IDataAnalysisProblem, IHeuristicOptimizationProblem {
 
@@ -47,4 +49,5 @@
   }
 
+  [StorableType("7c9a5407-6a34-488d-9e66-159d773a4e04")]
   public interface IGESymbolicDataAnalysisSingleObjectiveProblem : IGESymbolicDataAnalysisProblem, ISingleObjectiveHeuristicOptimizationProblem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 14929)
@@ -25,6 +25,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("78e2223a-4d2f-4825-83aa-edad18ba2505")]
   public interface IGESymbolicDataAnalysisSingleObjectiveEvaluator<T> : IGESymbolicDataAnalysisEvaluator<T>, ISingleObjectiveEvaluator
     where T : class, IDataAnalysisProblemData {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisValidationAnalyzer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisValidationAnalyzer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisValidationAnalyzer.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("5f97d99a-7c34-4b89-a0d9-5a5b514f348c")]
   public interface IGESymbolicDataAnalysisValidationAnalyzer<T, U> : ISymbolicDataAnalysisAnalyzer, ISymbolicDataAnalysisInterpreterOperator
     where T : class, IGESymbolicDataAnalysisEvaluator<U>
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 
 using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("f3e993cf-680c-4382-a95c-3e19c4af3ffe")]
   public interface IGESymbolicRegressionEvaluator : IGESymbolicDataAnalysisEvaluator<IRegressionProblemData> {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionSingleObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("be7b82d2-63bd-4e39-96b2-89d308c1fc90")]
   public interface IGESymbolicRegressionSingleObjectiveEvaluator : IGESymbolicRegressionEvaluator,
                                                                    IGESymbolicDataAnalysisSingleObjectiveEvaluator<IRegressionProblemData> {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackEvaluator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -26,4 +27,5 @@
   /// An interface which represents an evaluation operator for Knapsack Problems.
   /// </summary>
+  [StorableType("bf8257ff-efbd-458e-91ae-a725fd3cbc2c")]
   public interface IKnapsackEvaluator : ISingleObjectiveEvaluator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackMoveEvaluator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
+  [StorableType("6a7e7842-8fa5-483b-bd20-ada10097d458")]
   public interface IKnapsackMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator {
     ILookupParameter<IntValue> KnapsackCapacityParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/SimilarityCalculators/KnapsackSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/SimilarityCalculators/KnapsackSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/SimilarityCalculators/KnapsackSimilarityCalculator.cs	(revision 14929)
@@ -26,4 +26,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -37,4 +38,5 @@
   [NonDiscoverableType]
   [Obsolete("Please use the HammingSimilarityCalculator in the HeuristicLab.Encodings.BinaryVector plugin.")]
+  [StorableType("919e07b1-42fd-4370-b2bc-01940c8b47b2")]
   internal sealed class KnapsackSimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.LinearAssignment/3.3/Interfaces/ILAPEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.LinearAssignment/3.3/Interfaces/ILAPEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.LinearAssignment/3.3/Interfaces/ILAPEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.LinearAssignment {
+  [StorableType("fffbe548-217f-4ef1-87fb-cb7f67f8b040")]
   public interface ILAPEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<DoubleMatrix> CostsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/IBinaryVectorComparer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/IBinaryVectorComparer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/IBinaryVectorComparer.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.NK {
+  [StorableType("ab611926-f7eb-4008-b3cf-663c1cf497cc")]
   public interface IBinaryVectorComparer : IItem, IComparer<BinaryVector> { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/INKMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/INKMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/INKMoveEvaluator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.NK {
+  [StorableType("ef845208-aa6a-47d1-90cc-63a5e5d9e6e9")]
   public interface INKMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IInteractionInitializer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IInteractionInitializer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IInteractionInitializer.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.NK {
+  [StorableType("8b6f28db-6a4d-4d7d-9d00-52c433c0e39d")]
   public interface IInteractionInitializer : IParameterizedItem {
     BoolMatrix InitializeInterations(int length, int nComponents, int nInteractions, IRandom random);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/IWeightsInitializer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/IWeightsInitializer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/IWeightsInitializer.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.NK {
+  [StorableType("166178c3-73ad-4b5c-baf5-98768e72c2fe")]
   public interface IWeightsInitializer : IParameterizedItem {
     IEnumerable<double> GetWeights(int nComponents);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Orienteering {
+  [StorableType("3c81aa2c-4c98-46d6-9668-6a6a0c93566a")]
   public interface IOrienteeringEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<IntegerVector> IntegerVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringSolutionCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringSolutionCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringSolutionCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.IntegerVectorEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Orienteering {
+  [StorableType("578aeb3e-0d01-4c30-9fef-b6999dc965e2")]
   public interface IOrienteeringSolutionCreator : IIntegerVectorCreator {
     ILookupParameter<DistanceMatrix> DistanceMatrixParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPMoveEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("f9ff6a1f-ed47-4f30-8f95-e367b49de925")]
   public interface IAnalyticalPTSPMoveEvaluator : IAnalyticalPTSPOperator, ISingleObjectiveMoveEvaluator, IPermutationMoveOperator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("3c9313f9-14fd-403d-9d27-467596a9c68f")]
   public interface IAnalyticalPTSPOperator : IItem {
     ILookupParameter<DoubleArray> ProbabilitiesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPMoveEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("929f3b81-3cf9-4256-8ddb-8b27147b5dc5")]
   public interface IEstimatedPTSPMoveEvaluator : IEstimatedPTSPOperator, ISingleObjectiveMoveEvaluator, IPermutationMoveOperator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("7d9e9cb6-2e27-41cc-a4f6-d8f0d8e4ecaf")]
   public interface IEstimatedPTSPOperator : IItem {
     ILookupParameter<ItemList<BoolArray>> RealizationsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/ITwoPointFiveMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/ITwoPointFiveMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/ITwoPointFiveMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("16912776-fa24-4691-b8c9-5fa810bc37b9")]
   public interface ITwoPointFiveMoveOperator : IMoveOperator {
     ILookupParameter<TwoPointFiveMove> TwoPointFiveMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ParameterOptimization/3.3/IParameterVectorEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ParameterOptimization/3.3/IParameterVectorEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ParameterOptimization/3.3/IParameterVectorEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ParameterOptimization {
+  [StorableType("77cd112d-1b0d-4609-be9c-2bfe2ca81744")]
   public interface IParameterVectorEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<IntValue> ProblemSizeParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Interfaces/IQAPEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Interfaces/IQAPEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Interfaces/IQAPEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
+  [StorableType("f029ef3d-1a2c-4ad5-8080-27a057f594b2")]
   public interface IQAPEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Interfaces/IQAPMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Interfaces/IQAPMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Interfaces/IQAPMoveEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
+  [StorableType("b88a8b14-b980-4970-be0e-f393c921ddf4")]
   public interface IQAPMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/QAPSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/QAPSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/QAPSimilarityCalculator.cs	(revision 14929)
@@ -25,4 +25,5 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization.Operators;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
@@ -34,4 +35,5 @@
   /// </remarks>
   [Item("QAPSimilarityCalculator", "An operator that performs similarity calculation between two quadratic assignment solutions. The operator calculates the similarity based on the number of edges the two solutions have in common.")]
+  [StorableType("16ad1a1f-cbb3-4f12-9d4b-4bfdadee5a8d")]
   public sealed class QAPSimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicyTypes.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicyTypes.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicyTypes.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.Scheduling {
+  [StorableType("a18843cb-9cc8-4d30-8a1e-532d73df1623")]
   public enum JSMDecodingErrorPolicyTypes {
     RandomPolicy,
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategyTypes.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategyTypes.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategyTypes.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.Scheduling {
+  [StorableType("71afcfb4-ecef-4fdb-a2d6-1ecc218bd159")]
   public enum JSMForcingStrategyTypes {
     ShiftForcing,
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IJSSPOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IJSSPOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IJSSPOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.ScheduleEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Scheduling {
+  [StorableType("0b4b6b21-efd2-472b-8ae5-4ca96323f221")]
   public interface IJSSPOperator : IOperator {
     ILookupParameter<ItemList<Job>> JobDataParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IScheduleDecoder.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IScheduleDecoder.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IScheduleDecoder.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [StorableType("f7bcff2a-a6ce-491e-9b15-48099c8de571")]
   public interface IScheduleDecoder : IOperator {
     ILookupParameter<IScheduleEncoding> ScheduleEncodingParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IScheduleEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IScheduleEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IScheduleEvaluator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Encodings.ScheduleEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Scheduling {
@@ -28,4 +29,5 @@
   /// An evaluator for a Schedule
   /// </summary>
+  [StorableType("c9a736ac-4b08-4a9c-a59f-1f0a85a422b2")]
   public interface IScheduleEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<Schedule> ScheduleParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/ISchedulingEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/ISchedulingEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Interfaces/ISchedulingEvaluator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Encodings.ScheduleEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Scheduling {
@@ -28,4 +29,5 @@
   /// An evaluator for a scheduling problem representation
   /// </summary>
+  [StorableType("b4adc566-afb2-44d6-a8c7-62081bee01c3")]
   public interface ISchedulingEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<IScheduleDecoder> ScheduleDecoderParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs	(revision 14929)
@@ -277,5 +277,5 @@
         ScheduleDecoder = new PWRDecoder();
       } else if (SolutionCreator.GetType() == typeof(DirectScheduleRandomCreator)) {
-        Operators.AddRange(ApplicationManager.Manager.GetInstances<IDirectScheduleOperator>());
+        Operators.AddRange(ApplicationManager.Manager.GetInstances<IDirectScheduleoperator>());
         ScheduleDecoder = null;
       }
